Subject: [Sigtran] Interface Identifier in ASPTM message in M2UA

From: Supreet Jain <[email-masked]>
Date: Wed, 24 Aug 2011 06:28:37 -0700 (PDT)

Hello all, 
 
According to RFC 3331 section 3.2, "The M2UA specific message header will immediately follow the common message header, but will only be used with MAUP messages." Here, it is also mentioned that "Interface Identifier Length is always set to 8". 
Also, in section 3.3.2.7, List of Interface Identifiers in ASP Active message is identified by single Tag (0x1=integer) followed by length and List of Interface Identifiers.
My query is: 
1. Can the length be more than 8 for Tag (0x1=integer) in ASPTM messages as it is not a MAUP message?
2. If not, why? 
 
Regards,
Supreet

---

From: aditi someshwar <[email-masked]>
Date: Thu, 25 Aug 2011 12:09:31 +0530

Hi Supreet,

As per the structure of ASPAC defined under the section 3.3.2.7, the
Interface Identifier (Tag 0x1), the value can be a set of "Interface
Identifiers". The length can be other than 8.

Thanks and Regards,
Aditi

On Wed, Aug 24, 2011 at 6:58 PM, Supreet Jain <[email-masked]>wrote:

> Hello all,
>
> According to RFC 3331 section 3.2, "The M2UA specific message header will
> immediately follow the common message header, but will only be used with
> MAUP messages." Here, it is also mentioned that "Interface
> Identifier Length is always set to 8".
> Also, in section 3.3.2.7, List of Interface Identifiers in ASP Active
> message is identified by single Tag (0x1=integer) followed by length and
> List of Interface Identifiers.
> My query is:
> 1. Can the length be more than 8 for Tag (0x1=integer) in ASPTMmessages as it is not a
> MAUP message?
> 2. If not, why?
>
> Regards,
> Supreet
>
>
>
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran
>
>